org.codehaus.jackson.map.ser.std

## Class StdArraySerializers.DoubleArraySerializer

- java.lang.Object
- - org.codehaus.jackson.map.JsonSerializer<T>
  - - org.codehaus.jackson.map.ser.std.SerializerBase<T>
    - - org.codehaus.jackson.map.ser.std.ContainerSerializerBase<T>
      - - org.codehaus.jackson.map.ser.std.StdArraySerializers.ArraySerializerBase<double[]>
        - - org.codehaus.jackson.map.ser.std.StdArraySerializers.DoubleArraySerializer

- All Implemented Interfaces:
    SchemaAware
  Enclosing class:
    StdArraySerializers

      public static final class StdArraySerializers.DoubleArraySerializer
      extends StdArraySerializers.ArraySerializerBase<double[]>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.codehaus.jackson.map.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.StdArraySerializers.ArraySerializerBase

      `_property, _valueTypeSerializer`

    - ### Fields inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StdArraySerializers.DoubleArraySerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ContainerSerializerBase<?>` | `_withValueTypeSerializer(TypeSerializer vts)` Doubles never add type info; hence, even if type serializer is suggested, we'll ignore it...
    `JsonNode` | `getSchema(SerializerProvider provider, Type typeHint)` Note: since Jackson 1.9, default implementation claims type is "string"
    `void` | `serializeContents(double[] value, JsonGenerator jgen, SerializerProvider provider)`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.StdArraySerializers.ArraySerializerBase

      `serialize, serializeWithType`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.ContainerSerializerBase

      `withValueTypeSerializer`

    - ### Methods inherited from class org.codehaus.jackson.map.ser.std.SerializerBase

      `createObjectNode, createSchemaNode, createSchemaNode, handledType, isDefaultSerializer, wrapAndThrow, wrapAndThrow, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.codehaus.jackson.map.JsonSerializer

      `isUnwrappingSerializer, unwrappingSerializer`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StdArraySerializers.DoubleArraySerializer

          public StdArraySerializers.DoubleArraySerializer()

  - ### Method Detail

    - #### _withValueTypeSerializer

          public ContainerSerializerBase<?> _withValueTypeSerializer(TypeSerializer vts)

      Doubles never add type info; hence, even if type serializer is suggested, we'll ignore it...
      Specified by:
        `_withValueTypeSerializer` in class `ContainerSerializerBase<double[]>`

    - #### serializeContents

          public void serializeContents(double[] value,
                               JsonGenerator jgen,
                               SerializerProvider provider)
                                 throws IOException,
                                        JsonGenerationException

      Specified by:
        `serializeContents` in class `StdArraySerializers.ArraySerializerBase<double[]>`
      Throws:
        `IOException`
        `JsonGenerationException`

    - #### getSchema

          public JsonNode getSchema(SerializerProvider provider,
                           Type typeHint)

      Description copied from class: `SerializerBase`
      Note: since Jackson 1.9, default implementation claims type is "string"
      Specified by:
        `getSchema` in interface `SchemaAware`
      Overrides:
        `getSchema` in class `SerializerBase<double[]>`
      Parameters:
        `provider` - The serializer provider.
        `typeHint` - A hint about the type.
      Returns:
        Json-schema for this serializer.